Name:           kubeadm-upgrade
Version:        0.0.1
Release:        1.0.15%{?dist}
Summary:        Kubeadm upgrade
License:        UPL
Group:          System/Management
Source:         %{name}-%{version}.tar.bz2
Vendor:         Oracle America

Requires:       bash

BuildArch:      x86_64

%description
Upgrade kubernetes cluster to 1.12.5 from 1.9.x

%prep
%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d %{buildroot}%{_bindir}
install -p -m 755 -t %{buildroot}%{_bindir} kubeadm-upgrade.sh

%files
%license LICENSE
%doc *.md
%{_bindir}/kubeadm-upgrade.sh

%changelog
* Fri Feb 08 2019 Thomas Tanaka <thomas.tanaka@oracle.com> 0.0.1-1.0.15
-- CVE-2018-1002105

* Thu Feb 07 2019 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.14
-- Fix kube version for 1.10.5

* Wed Feb 06 2019 Thomas Tanaka <thomas.tanaka@oracle.com> 0.0.1-1.0.13
-- Updating 1.10 and 1.11 version for CVE fixes
-- Include flannel and dashboard upgrade

* Mon Feb 04 2019 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.12
-- Upgrade to 1.12.5-2.1.1

* Fri Feb 01 2019 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.11
-- Upgrade to 1.12.5

* Wed Jan 30 2019 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.10
-- Add license info to the script

* Tue Jan 15 2019 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.9
-- Add license file

* Wed Jan 09 2019 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.8
-- Fix the bug on number of CPU checking

* Tue Jan 08 2019 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.7
-- Use install instead of update for a specifc 1.12 version

* Tue Jan 08 2019 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.6
-- Upgrade cluster to 1.12.3-* version only

* Wed Dec 19 2018 Tom Cocozzello <tom.cocozzello@oracle.com> 0.0.1-1.0.5
-- Add exit handler to gather logs on failure

* Wed Dec 19 2018 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.4
-- Enhance logging and check return code after kubeadm apply. Checking CPU and Memory of the system

* Mon Dec 17 2018 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.3
-- Change REPO_PREFIX to use a single repo, increased timeout during cluster health check

* Thu Dec 13 2018 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.2
-- Added comments and fix rpm name

* Fri Dec 07 2018 Ivin Sony <ivin.sony@oracle.com> - 0.0.1-1.0.1
- Upgrade to 1.12.3
